package tcra.exercises.resolve_one_way_list_private;

import java.util.List;
import tcra.math.*;

public class ResolveOneWayList_PreRemoveAssertion implements
      Assertion
{
   public ResolveOneWayList_PreRemoveAssertion() {}

   @SuppressWarnings("unchecked")
   public boolean check(List<MathType> t)
   {
      MathString<MathType> lb_rem = (MathString<MathType>)t.get(1);

      return(lb_rem.length() > 0);
   } // end check(List<MathType>)

   @SuppressWarnings("unchecked")
   public String toInstanceString(List<MathType> t)
   {
      MathString<MathType> lb_rem = (MathString<MathType>)t.get(1);     
      
      return ""+lb_rem.toHTMLString()+" /= empty_string;";
   } // end toInstanceString(List<MathType>)

   public String toString()
   {
      return "P.Rem /= empty_string;";
   } // end toString()
} // end class
